<template>
	<view>
		<customer-index v-if="roleType == 1" ref="customerIndexRef"></customer-index>
		<freight-forwarder-index v-if="roleType == 2" ref="freightForwarderIndexRef"></freight-forwarder-index>
		<driver-index v-if="roleType == 3" ref="driverIndexRef"></driver-index>
		<tab-bar :current="0"></tab-bar>
	</view>
</template>

<script>
import customerIndex from '@/pages/customer-page/customer-index/customer-index.vue';
import driverIndex from '@/pages/driver-page/driver-index/driver-index.vue';
import freightForwarderIndex from '@/pages/freight-forwarder-page/freightForwarder-index/freightForwarder-index.vue';

export default {
	components: {
		customerIndex,
		driverIndex,
		freightForwarderIndex
	},
	data() {
		return {
			roleType: null
		};
	},
	onShow() {
		this.init();
	},
	methods: {
		init() {
			this.roleType = uni.getStorageSync('roleType');
			console.log(this.roleType, 'indexTabbar');
			switch (this.roleType) {
				case 1:
					console.log('customerIndexRef');
					this.$nextTick(() => {
						this.$refs.customerIndexRef.init();
					});
					break;
				case 2:
					console.log('freightForwarderIndexRef');
					this.$nextTick(() => {
						this.$refs.freightForwarderIndexRef.init();
					});
					break;
				case 3:
					console.log('driverIndexRef');
					this.$nextTick(() => {
						this.$refs.driverIndexRef.init();
					});
					break;
				default:
					break;
			}
		}
	}
};
</script>

<style lang="scss" scoped></style>
